Permalink for Post #4

Thread: accidently may have updated fireware with 2.1 verson of luma updater installed instead of 2.3